{
  "swagger": "2.0",
  "schemes": [
    "https"
  ],
  "host": "management.azure.com",
  "info": {
    "description": "Billing client provides access to billing resources for Azure subscriptions.",
    "title": "BillingManagementClient",
    "version": "2018-11-01-preview",
    "x-apisguru-categories": [
      "cloud"
    ],
    "x-logo": {
      "url": "https://api.apis.guru/v2/cache/logo/https_assets.onestore.ms_cdnfiles_onestorerolling-1606-01000_shell_v3_images_logo_microsoft.png"
    },
    "x-origin": [
      {
        "format": "swagger",
        "url": "https://raw.githubusercontent.com/Azure/azure-rest-api-specs/master/specification/billing/resource-manager/Microsoft.Billing/preview/2018-11-01-preview/billing.json",
        "version": "2.0"
      }
    ],
    "x-preferred": false,
    "x-providerName": "azure.com",
    "x-serviceName": "billing",
    "x-tags": [
      "Azure",
      "Microsoft"
    ]
  },
  "consumes": [
    "application/json"
  ],
  "produces": [
    "application/json"
  ],
  "securityDefinitions": {
    "azure_auth": {
      "authorizationUrl": "https://login.microsoftonline.com/common/oauth2/authorize",
      "description": "Azure Active Directory OAuth2 Flow.",
      "flow": "implicit",
      "scopes": {
        "user_impersonation": "impersonate your user account"
      },
      "type": "oauth2"
    }
  },
  "security": [
    {
      "azure_auth": [
        "user_impersonation"
      ]
    }
  ],
  "parameters": {
    "acceptTransferRequestParameter": {
      "description": "Accept transfer parameters.",
      "in": "body",
      "name": "body",
      "required": true,
      "schema": {
        "$ref": "#/definitions/AcceptTransferRequest"
      },
      "x-ms-parameter-location": "method"
    },
    "agreementNameParameter": {
      "description": "Agreement Id.",
      "in": "path",
      "name": "agreementName",
      "required": true,
      "type": "string",
      "x-ms-parameter-location": "method"
    },
    "apiVersionParameter": {
      "description": "Version of the API to be used with the client request. The current version is 2018-11-01-preview.",
      "in": "query",
      "name": "api-version",
      "required": true,
      "type": "string"
    },
    "billingAccountNameParameter": {
      "description": "Billing Account Id.",
      "in": "path",
      "name": "billingAccountName",
      "required": true,
      "type": "string",
      "x-ms-parameter-location": "method"
    },
    "billingProfileNameParameter": {
      "description": "Billing Profile Id.",
      "in": "path",
      "name": "billingProfileName",
      "required": true,
      "type": "string",
      "x-ms-parameter-location": "method"
    },
    "billingRoleAssignmentNameParameter": {
      "description": "role assignment id.",
      "in": "path",
      "name": "billingRoleAssignmentName",
      "required": true,
      "type": "string",
      "x-ms-parameter-location": "method"
    },
    "billingRoleDefinitionNameParameter": {
      "description": "role definition id.",
      "in": "path",
      "name": "billingRoleDefinitionName",
      "required": true,
      "type": "string",
      "x-ms-parameter-location": "method"
    },
    "billingSubscriptionNameParameter": {
      "description": "Billing Subscription Id.",
      "in": "path",
      "name": "billingSubscriptionName",
      "required": true,
      "type": "string",
      "x-ms-parameter-location": "method"
    },
    "customerNameParameter": {
      "description": "Customer Id.",
      "in": "path",
      "name": "customerName",
      "required": true,
      "type": "string",
      "x-ms-parameter-location": "method"
    },
    "departmentNameParameter": {
      "description": "Department Id.",
      "in": "path",
      "name": "departmentName",
      "required": true,
      "type": "string",
      "x-ms-parameter-location": "method"
    },
    "enrollmentAccountNameParameter": {
      "description": "Enrollment Account Id.",
      "in": "path",
      "name": "enrollmentAccountName",
      "required": true,
      "type": "string",
      "x-ms-parameter-location": "method"
    },
    "initiateTransferRequestParameter": {
      "description": "Initiate transfer parameters.",
      "in": "body",
      "name": "body",
      "required": true,
      "schema": {
        "$ref": "#/definitions/InitiateTransferRequest"
      },
      "x-ms-parameter-location": "method"
    },
    "invoiceNameParameter": {
      "description": "Invoice Id.",
      "in": "path",
      "name": "invoiceName",
      "required": true,
      "type": "string",
      "x-ms-parameter-location": "method"
    },
    "invoiceSectionNameParameter": {
      "description": "InvoiceSection Id.",
      "in": "path",
      "name": "invoiceSectionName",
      "required": true,
      "type": "string",
      "x-ms-parameter-location": "method"
    },
    "operationIdParameter": {
      "description": "Operation Id.",
      "in": "path",
      "name": "operationId",
      "required": true,
      "type": "string",
      "x-ms-parameter-location": "method"
    },
    "productNameParameter": {
      "description": "Invoice Id.",
      "in": "path",
      "name": "productName",
      "required": true,
      "type": "string",
      "x-ms-parameter-location": "method"
    },
    "subscriptionIdParameter": {
      "description": "Azure Subscription Id.",
      "in": "path",
      "name": "subscriptionId",
      "required": true,
      "type": "string"
    },
    "transferNameParameter": {
      "description": "Transfer Name.",
      "in": "path",
      "name": "transferName",
      "required": true,
      "type": "string",
      "x-ms-parameter-location": "method"
    },
    "updateAutoRenewRequestParameter": {
      "description": "Update auto renew request parameters.",
      "in": "body",
      "name": "body",
      "required": true,
      "schema": {
        "$ref": "#/definitions/UpdateAutoRenewRequest"
      },
      "x-ms-parameter-location": "method"
    }
  },
  "paths": {
    "/providers/Microsoft.Billing/billingAccounts": {
      "get": {
        "description": "Lists all billing accounts for which a user has access.",
        "operationId": "BillingAccounts_List",
        "parameters": [
          {
            "$ref": "#/parameters/apiVersionParameter"
          },
          {
            "description": "May be used to expand the invoiceSections and billingProfiles.",
            "in": "query",
            "name": "$expand",
            "required": false,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "OK. The request has succeeded.",
            "schema": {
              "$ref": "#/definitions/BillingAccountListResult"
            }
          },
          "default": {
            "description": "Error response describing why the operation failed.",
            "schema": {
              "$ref": "#/definitions/ErrorResponse"
            }
          }
        },
        "tags": [
          "BillingAccounts"
        ],
        "x-ms-examples": {
          "BillingAccountsList": {
            "parameters": {
              "api-version": "2018-11-01-preview"
            },
            "responses": {
              "200": {
                "body": {
                  "value": [
                    {
                      "id": "/providers/Microsoft.Billing/billingAccounts/00000000-0000-0000-0000-000000000000",
                      "name": "00000000-0000-0000-0000-000000000000",
                      "properties": {
                        "accountType": "Organization",
                        "address": {
                          "addressLine1": "Test Address",
                          "addressLine2": "Test Address",
                          "addressLine3": "Test Address",
                          "city": "City",
                          "companyName": "Contoso",
                          "country": "US",
                          "firstName": "Test",
                          "lastName": "User",
                          "postalCode": "00000",
                          "region": "WA"
                        },
                        "displayName": "Test Account 1",
                        "hasReadAccess": true
                      },
                      "type": "Microsoft.Billing/billingAccounts"
                    },
                    {
                      "id": "/providers/Microsoft.Billing/billingAccounts/10000000-0000-0000-0000-000000000001",
                      "name": "10000000-0000-0000-0000-000000000001",
                      "properties": {
                        "accountType": "Organization",
                        "address": null,
                        "displayName": "Test Account 2",
                        "hasReadAccess": false
                      },
                      "type": "Microsoft.Billing/billingAccounts"
                    },
                    {
                      "id": "/providers/Microsoft.Billing/billingAccounts/20000000-0000-0000-0000-000000000002",
                      "name": "20000000-0000-0000-0000-000000000002",
                      "properties": {
                        "accountType": "Organization",
                        "address": {
                          "addressLine1": "Test Address",
                          "addressLine2": "Test Address",
                          "addressLine3": "Test Address",
                          "city": "City",
                          "companyName": "Contoso Test",
                          "country": "US",
                          "firstName": "Test",
                          "lastName": "User",
                          "postalCode": "00000",
                          "region": "WA"
                        },
                        "displayName": "Test Account 3",
                        "hasReadAccess": true
                      },
                      "type": "Microsoft.Billing/billingAccounts"
                    }
                  ]
                }
              }
            }
          },
          "BillingAccountsListWithExpand": {
            "parameters": {
              "$expand": "invoiceSections, billingProfiles",
              "api-version": "2018-11-01-preview"
            },
            "responses": {
              "200": {
                "body": {
                  "value": [
                    {
                      "id": "/providers/Microsoft.Billing/billingAccounts/00000000-0000-0000-0000-000000000000",
                      "name": "00000000-0000-0000-0000-000000000000",
                      "properties": {
                        "accountType": "Organization",
                        "address": {
                          "addressLine1": "Test Address",
                          "addressLine2": "Test Address",
                          "addressLine3": "Test Address",
                          "city": "City",
                          "companyName": "Contoso",
                          "country": "US",
                          "firstName": "Test",
                          "lastName": "User",
                          "postalCode": "00000",
                          "region": "WA"
                        },
                        "billingProfiles": [
                          {
                            "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/11000000-0000-0000-0000-000000000000",
                            "name": "11000000-0000-0000-0000-000000000000",
                            "properties": {
                              "address": {
                                "addressLine1": "Test Address1",
                                "addressLine2": "Test Address2",
                                "addressLine3": "Test Address3",
                                "city": "City",
                                "companyName": "Contoso",
                                "country": "US",
                                "firstName": "Test",
                                "lastName": "User",
                                "postalCode": "00000",
                                "region": "WA"
                              },
                              "currency": "USD",
                              "displayName": "BillingProfile1",
                              "enabledAzureSKUs": [
                                {
                                  "skuDescription": "Microsoft Azure Dev/Test",
                                  "skuId": "0001"
                                },
                                {
                                  "skuDescription": "Microsoft Azure Standard",
                                  "skuId": "0002"
                                }
                              ],
                              "invoiceDay": 5,
                              "invoiceEmailOptIn": true,
                              "isClassic": false,
                              "poNumber": "ABC12345"
                            },
                            "type": "Microsoft.Billing/billingProfiles"
                          },
                          {
                            "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/11000000-0000-0000-0000-000000000001",
                            "name": "11000000-0000-0000-0000-000000000001",
                            "properties": {
                              "address": {
                                "addressLine1": "Test Address1",
                                "addressLine2": "Test Address2",
                                "addressLine3": "Test Address3",
                                "city": "City",
                                "companyName": "Contoso",
                                "country": "US",
                                "firstName": "Test",
                                "lastName": "User",
                                "postalCode": "00000",
                                "region": "WA"
                              },
                              "currency": "USD",
                              "displayName": "BillingProfile2",
                              "enabledAzureSKUs": [
                                {
                                  "skuDescription": "Microsoft Azure Dev/Test",
                                  "skuId": "0001"
                                },
                                {
                                  "skuDescription": "Microsoft Azure Standard",
                                  "skuId": "0002"
                                }
                              ],
                              "invoiceDay": 5,
                              "invoiceEmailOptIn": true,
                              "isClassic": false,
                              "poNumber": "ABC12345"
                            },
                            "type": "Microsoft.Billing/billingProfiles"
                          }
                        ],
                        "displayName": "Test Account 1",
                        "hasReadAccess": true,
                        "invoiceSections": [
                          {
                            "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/invoiceSections/invoiceSectionId1",
                            "name": "invoiceSectionId1",
                            "properties": {
                              "displayName": "invoiceSectionName1"
                            },
                            "type": "Microsoft.Billing/invoiceSections"
                          },
                          {
                            "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/invoiceSections/invoiceSectionId2",
                            "name": "invoiceSectionId2",
                            "properties": {
                              "displayName": "invoiceSectionName2"
                            },
                            "type": "Microsoft.Billing/invoiceSections"
                          }
                        ]
                      },
                      "type": "Microsoft.Billing/billingAccounts"
                    },
                    {
                      "id": "/providers/Microsoft.Billing/billingAccounts/10000000-0000-0000-0000-000000000001",
                      "name": "10000000-0000-0000-0000-000000000001",
                      "properties": {
                        "accountType": "Organization",
                        "address": null,
                        "billingProfiles": [
                          {
                            "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/11000000-0000-0000-0000-000000000004",
                            "name": "11000000-0000-0000-0000-000000000004",
                            "properties": {
                              "address": {
                                "addressLine1": "Test Address1",
                                "addressLine2": "Test Address2",
                                "addressLine3": "Test Address3",
                                "city": "City",
                                "companyName": "Contoso Test",
                                "country": "US",
                                "firstName": "Test",
                                "lastName": "User",
                                "postalCode": "00000",
                                "region": "WA"
                              },
                              "currency": "USD",
                              "displayName": "BillingProfile3",
                              "enabledAzureSKUs": [
                                {
                                  "skuDescription": "Microsoft Azure Dev/Test",
                                  "skuId": "0001"
                                },
                                {
                                  "skuDescription": "Microsoft Azure Standard",
                                  "skuId": "0002"
                                }
                              ],
                              "invoiceDay": 5,
                              "invoiceEmailOptIn": true,
                              "isClassic": false,
                              "poNumber": "ABC12345"
                            },
                            "type": "Microsoft.Billing/billingProfiles"
                          },
                          {
                            "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/11000000-0000-0000-0000-000000000005",
                            "name": "11000000-0000-0000-0000-000000000005",
                            "properties": {
                              "address": {
                                "addressLine1": "Test Address1",
                                "addressLine2": "Test Address2",
                                "addressLine3": "Test Address3",
                                "city": "City",
                                "companyName": "Contoso Test",
                                "country": "US",
                                "firstName": "Test",
                                "lastName": "User",
                                "postalCode": "00000",
                                "region": "WA"
                              },
                              "currency": "USD",
                              "displayName": "BillingProfile4",
                              "enabledAzureSKUs": [
                                {
                                  "skuDescription": "Microsoft Azure Dev/Test",
                                  "skuId": "0001"
                                },
                                {
                                  "skuDescription": "Microsoft Azure Standard",
                                  "skuId": "0002"
                                }
                              ],
                              "invoiceDay": 5,
                              "invoiceEmailOptIn": true,
                              "isClassic": false,
                              "poNumber": "ABC12345"
                            },
                            "type": "Microsoft.Billing/billingProfiles"
                          }
                        ],
                        "displayName": "Test Account 2",
                        "hasReadAccess": false,
                        "invoiceSections": [
                          {
                            "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/invoiceSections/invoiceSectionId3",
                            "name": "invoiceSectionId3",
                            "properties": {
                              "displayName": "invoiceSectionName3"
                            },
                            "type": "Microsoft.Billing/invoiceSections"
                          },
                          {
                            "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/invoiceSections/invoiceSectionId4",
                            "name": "invoiceSectionId4",
                            "properties": {
                              "displayName": "invoiceSectionName4"
                            },
                            "type": "Microsoft.Billing/invoiceSections"
                          }
                        ]
                      },
                      "type": "Microsoft.Billing/billingAccounts"
                    }
                  ]
                }
              }
            }
          },
          "BillingAccountsListWithExpandForEnrollmentDetails": {
            "parameters": {
              "$expand": "properties/enrollmentDetails, properties/departments, properties/enrollmentAccounts",
              "api-version": "2018-11-01-preview"
            },
            "responses": {
              "200": {
                "body": {
                  "value": [
                    {
                      "id": "/providers/Microsoft.Billing/billingAccounts/7645820",
                      "name": "7645820",
                      "properties": {
                        "accountType": "Enrollment",
                        "address": {
                          "addressLine1": "Test Address",
                          "addressLine2": "Test Address",
                          "addressLine3": "Test Address",
                          "city": "City",
                          "country": "US",
                          "postalCode": "00000",
                          "region": "WA"
                        },
                        "company": "XYZ Services Group, LLC.",
                        "country": "United States",
                        "departments": [
                          {
                            "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/departments/departmentId1",
                            "name": "departmentId1",
                            "properties": {
                              "costCenter": "C1",
                              "departmentName": "departmentName1",
                              "status": "Active"
                            },
                            "type": "Microsoft.Billing/departments"
                          },
                          {
                            "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/departments/departmentId2",
                            "name": "departmentId2",
                            "properties": {
                              "costCenter": "C4",
                              "departmentName": "departmentName2",
                              "status": "Active"
                            },
                            "type": "Microsoft.Billing/departments"
                          }
                        ],
                        "enrollmentAccounts": [
                          {
                            "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/enrollmentAccounts/accountId0",
                            "name": "accountId0",
                            "properties": {
                              "accountName": "AccountName0",
                              "costCenter": "C0",
                              "endDate": "2019-05-31T17:32:28Z",
                              "startDate": "2018-05-01T17:32:28Z",
                              "status": "Active"
                            },
                            "type": "Microsoft.Billing/enrollmentAccounts"
                          },
                          {
                            "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/enrollmentAccounts/accountId1",
                            "name": "accountId1",
                            "properties": {
                              "accountName": "AccountName1",
                              "costCenter": "C4",
                              "endDate": "2019-05-31T17:32:28Z",
                              "startDate": "2018-05-01T17:32:28Z",
                              "status": "Active"
                            },
                            "type": "Microsoft.Billing/enrollmentAccounts"
                          },
                          {
                            "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/enrollmentAccounts/accountId2",
                            "name": "accountId2",
                            "properties": {
                              "accountName": "AccountName2",
                              "costCenter": "C4",
                              "endDate": "2019-05-31T17:32:28Z",
                              "startDate": "2018-05-01T17:32:28Z",
                              "status": "Active"
                            },
                            "type": "Microsoft.Billing/enrollmentAccounts"
                          }
                        ],
                        "enrollmentDetails": {
                          "billingCycle": "Monthly",
                          "channel": "EaDirect",
                          "countryCode": "US",
                          "currency": "USD",
                          "endDate": "2019-05-31T17:32:28Z",
                          "language": "en",
                          "policies": {
                            "accountOwnerViewCharges": true,
                            "departmentAdminViewCharges": true,
                            "marketplacesEnabled": true,
                            "reservedInstancesEnabled": true
                          },
                          "startDate": "2018-05-01T17:32:28Z",
                          "status": "Active"
                        }
                      },
                      "type": "Microsoft.Billing/billingAccounts"
                    }
                  ]
                }
              }
            }
          }
        },
        "x-ms-pageable": {
          "nextLinkName": "nextLink"
        }
      }
    },
    "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}": {
      "get": {
        "description": "Get the billing account by id.",
        "operationId": "BillingAccounts_Get",
        "parameters": [
          {
            "$ref": "#/parameters/apiVersionParameter"
          },
          {
            "$ref": "#/parameters/billingAccountNameParameter"
          },
          {
            "description": "May be used to expand the invoiceSections and billingProfiles.",
            "in": "query",
            "name": "$expand",
            "required": false,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "OK. The request has succeeded.",
            "schema": {
              "$ref": "#/definitions/BillingAccount"
            }
          },
          "default": {
            "description": "Error response describing why the operation failed.",
            "schema": {
              "$ref": "#/definitions/ErrorResponse"
            }
          }
        },
        "tags": [
          "BillingAccounts"
        ],
        "x-ms-examples": {
          "BillingAccountWithExpand": {
            "parameters": {
              "$expand": "invoiceSections, billingProfiles",
              "api-version": "2018-11-01-preview",
              "billingAccountName": "{billingAccountName}"
            },
            "responses": {
              "200": {
                "body": {
                  "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}",
                  "name": "{billingAccountName}",
                  "properties": {
                    "accountType": "Organization",
                    "address": {
                      "addressLine1": "Test Address",
                      "addressLine2": "Test Address",
                      "addressLine3": "Test Address",
                      "city": "City",
                      "companyName": "Contoso",
                      "country": "US",
                      "firstName": "Test",
                      "lastName": "User",
                      "postalCode": "00000",
                      "region": "WA"
                    },
                    "billingProfiles": [
                      {
                        "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/11000000-0000-0000-0000-000000000000",
                        "name": "11000000-0000-0000-0000-000000000000",
                        "properties": {
                          "address": {
                            "addressLine1": "Test Address1",
                            "addressLine2": "Test Address2",
                            "addressLine3": "Test Address3",
                            "city": "City",
                            "companyName": "Contoso",
                            "country": "US",
                            "firstName": "Test",
                            "lastName": "User",
                            "postalCode": "00000",
                            "region": "WA"
                          },
                          "currency": "USD",
                          "displayName": "BillingProfile1",
                          "enabledAzureSKUs": [
                            {
                              "skuDescription": "Microsoft Azure Dev/Test",
                              "skuId": "0001"
                            },
                            {
                              "skuDescription": "Microsoft Azure Standard",
                              "skuId": "0002"
                            }
                          ],
                          "invoiceDay": 5,
                          "invoiceEmailOptIn": true,
                          "isClassic": false,
                          "poNumber": "ABC12345"
                        },
                        "type": "Microsoft.Billing/billingProfiles"
                      },
                      {
                        "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/11000000-0000-0000-0000-000000000001",
                        "name": "11000000-0000-0000-0000-000000000001",
                        "properties": {
                          "address": {
                            "addressLine1": "Test Address1",
                            "addressLine2": "Test Address2",
                            "addressLine3": "Test Address3",
                            "city": "City",
                            "companyName": "Contoso",
                            "country": "US",
                            "firstName": "Test",
                            "lastName": "User",
                            "postalCode": "00000",
                            "region": "WA"
                          },
                          "currency": "USD",
                          "displayName": "BillingProfile2",
                          "enabledAzureSKUs": [
                            {
                              "skuDescription": "Microsoft Azure Dev/Test",
                              "skuId": "0001"
                            },
                            {
                              "skuDescription": "Microsoft Azure Standard",
                              "skuId": "0002"
                            }
                          ],
                          "invoiceDay": 5,
                          "invoiceEmailOptIn": true,
                          "isClassic": false,
                          "poNumber": "ABC12345"
                        },
                        "type": "Microsoft.Billing/billingProfiles"
                      }
                    ],
                    "displayName": "Test Account 1",
                    "hasReadAccess": true,
                    "invoiceSections": [
                      {
                        "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/invoiceSections/invoiceSectionId1",
                        "name": "invoiceSectionId1",
                        "properties": {
                          "displayName": "invoiceSectionName1"
                        },
                        "type": "Microsoft.Billing/invoiceSections"
                      },
                      {
                        "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/invoiceSections/invoiceSectionId2",
                        "name": "invoiceSectionId2",
                        "properties": {
                          "displayName": "invoiceSectionName2"
                        },
                        "type": "Microsoft.Billing/invoiceSections"
                      }
                    ]
                  },
                  "type": "Microsoft.Billing/billingAccounts"
                }
              }
            }
          },
          "BillingAccounts": {
            "parameters": {
              "api-version": "2018-11-01-preview",
              "billingAccountName": "{billingAccountName}"
            },
            "responses": {
              "200": {
                "body": {
                  "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}",
                  "name": "{billingAccountName}",
                  "properties": {
                    "accountType": "Organization",
                    "address": {
                      "addressLine1": "Test Address",
                      "addressLine2": "Test Address",
                      "addressLine3": "Test Address",
                      "city": "City",
                      "companyName": "Contoso",
                      "country": "US",
                      "firstName": "Test",
                      "lastName": "User",
                      "postalCode": "00000",
                      "region": "WA"
                    },
                    "displayName": "Test Account",
                    "hasReadAccess": true
                  },
                  "type": "Microsoft.Billing/billingAccounts"
                }
              }
            }
          }
        }
      },
      "patch": {
        "description": "The operation to update a billing account.",
        "operationId": "BillingAccounts_Update",
        "parameters": [
          {
            "$ref": "#/parameters/apiVersionParameter"
          },
          {
            "$ref": "#/parameters/billingAccountNameParameter"
          },
          {
            "description": "Parameters supplied to the update billing account operation.",
            "in": "body",
            "name": "parameters",
            "required": true,
            "schema": {
              "$ref": "#/definitions/BillingAccountUpdateProperties"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK. The request has succeeded.",
            "schema": {
              "$ref": "#/definitions/BillingAccount"
            }
          },
          "202": {
            "description": "Accepted. Billing account update is in progress."
          },
          "default": {
            "description": "Error response describing why the operation failed.",
            "schema": {
              "$ref": "#/definitions/ErrorResponse"
            }
          }
        },
        "tags": [
          "BillingAccounts"
        ],
        "x-ms-examples": {
          "UpdateBillingAccount": {
            "parameters": {
              "api-version": "2018-11-01-preview",
              "billingAccountName": "{billingAccountName}",
              "parameters": {
                "properties": {
                  "address": {
                    "addressLine1": "1 Microsoft Way",
                    "city": "Redmond",
                    "companyName": "Contoso",
                    "country": "US",
                    "firstName": "Test",
                    "lastName": "User",
                    "postalCode": "98052",
                    "region": "WA"
                  }
                }
              }
            },
            "responses": {
              "200": {
                "body": {
                  "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}",
                  "name": "{billingAccountName}",
                  "properties": {
                    "accountType": "Organization",
                    "address": {
                      "addressLine1": "1 Microsoft Way",
                      "addressLine2": "",
                      "addressLine3": "",
                      "city": "Redmond",
                      "companyName": "Contoso",
                      "country": "US",
                      "firstName": "Test",
                      "lastName": "User",
                      "postalCode": "98052",
                      "region": "WA"
                    },
                    "displayName": "Test Account",
                    "hasReadAccess": true
                  },
                  "type": "Microsoft.Billing/billingAccounts"
                }
              },
              "202": {
                "headers": {
                  "Azure-AsyncOperation": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/operationStatus/65e1f2bf-c31c-4b89-a599-25d9d4172af9?api-version=2018-11-01-preview",
                  "Retry-After": "10"
                }
              }
            }
          }
        },
        "x-ms-long-running-operation": true,
        "x-ms-long-running-operation-options": {
          "final-state-via": "azure-async-operation"
        }
      }
    },
    "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/agreements": {
      "get": {
        "description": "Lists all agreements for a billing account.",
        "operationId": "Agreements_ListByBillingAccountName",
        "parameters": [
          {
            "$ref": "#/parameters/apiVersionParameter"
          },
          {
            "$ref": "#/parameters/billingAccountNameParameter"
          },
          {
            "description": "May be used to expand the participants.",
            "in": "query",
            "name": "$expand",
            "required": false,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "OK. The request has succeeded.",
            "schema": {
              "$ref": "#/definitions/AgreementListResult"
            }
          },
          "default": {
            "description": "Error response describing why the operation failed.",
            "schema": {
              "$ref": "#/definitions/ErrorResponse"
            }
          }
        },
        "tags": [
          "Agreements"
        ],
        "x-ms-examples": {
          "AgreementsListByBillingAccountName": {
            "parameters": {
              "api-version": "2018-11-01-preview",
              "billingAccountName": "{billingAccountName}"
            },
            "responses": {
              "200": {
                "body": {
                  "value": [
                    {
                      "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/agreements/Agreement1",
                      "name": "Agreement1",
                      "properties": {
                        "agreementLink": "https://agreementuri1.com",
                        "effectiveDate": "2018-12-05T00:00:00Z",
                        "expirationDate": "2018-12-05T00:00:00Z",
                        "participants": [
                          {
                            "email": "abc@contoso.com",
                            "status": "Accepted",
                            "statusDate": "2018-11-01T00:00:00Z"
                          },
                          {
                            "email": "xtz@contoso.com",
                            "status": "Declined",
                            "statusDate": "2018-11-02T00:00:00Z"
                          }
                        ],
                        "status": "Published"
                      },
                      "type": "Microsoft.Billing/agreements"
                    },
                    {
                      "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/agreements/Agreement2",
                      "name": "Agreement2",
                      "properties": {
                        "agreementLink": "https://agreementuri2.com",
                        "effectiveDate": "2018-12-05T00:00:00Z",
                        "expirationDate": "2018-12-05T00:00:00Z",
                        "participants": [
                          {
                            "email": "abc@contoso.com",
                            "status": "Unknown",
                            "statusDate": "2018-11-01T00:00:00Z"
                          }
                        ],
                        "status": "PendingSignature"
                      },
                      "type": "Microsoft.Billing/agreements"
                    }
                  ]
                }
              }
            }
          }
        },
        "x-ms-pageable": {
          "nextLinkName": "nextLink"
        }
      }
    },
    "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/agreements/{agreementName}": {
      "get": {
        "description": "Get the agreement by name.",
        "operationId": "Agreements_Get",
        "parameters": [
          {
            "$ref": "#/parameters/apiVersionParameter"
          },
          {
            "$ref": "#/parameters/billingAccountNameParameter"
          },
          {
            "$ref": "#/parameters/agreementNameParameter"
          },
          {
            "description": "May be used to expand the participants.",
            "in": "query",
            "name": "$expand",
            "required": false,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "OK. The request has succeeded.",
            "schema": {
              "$ref": "#/definitions/Agreement"
            }
          },
          "default": {
            "description": "Error response describing why the operation failed.",
            "schema": {
              "$ref": "#/definitions/ErrorResponse"
            }
          }
        },
        "tags": [
          "Agreements"
        ],
        "x-ms-examples": {
          "AgreementByName": {
            "parameters": {
              "agreementName": "{agreementName}",
              "api-version": "2018-11-01-preview",
              "billingAccountName": "{billingAccountName}"
            },
            "responses": {
              "200": {
                "body": {
                  "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/agreements/{agreementName}",
                  "name": "{agreementName}",
                  "properties": {
                    "agreementLink": "https://agreementuri1.com",
                    "effectiveDate": "2018-12-05T00:00:00Z",
                    "expirationDate": "2018-12-05T00:00:00Z",
                    "participants": [
                      {
                        "email": "abc@contoso.com",
                        "status": "Accepted",
                        "statusDate": "2018-11-01T00:00:00Z"
                      },
                      {
                        "email": "xyz@contoso.com",
                        "status": "Declined",
                        "statusDate": "2018-11-02T00:00:00Z"
                      }
                    ],
                    "status": "Published"
                  },
                  "type": "Microsoft.Billing/agreements"
                }
              }
            }
          }
        }
      }
    },
    "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles": {
      "get": {
        "description": "Lists all billing profiles for a user which that user has access to.",
        "operationId": "BillingProfiles_ListByBillingAccountName",
        "parameters": [
          {
            "$ref": "#/parameters/apiVersionParameter"
          },
          {
            "$ref": "#/parameters/billingAccountNameParameter"
          },
          {
            "description": "May be used to expand the invoiceSections.",
            "in": "query",
            "name": "$expand",
            "required": false,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "OK. The request has succeeded.",
            "schema": {
              "$ref": "#/definitions/BillingProfileListResult"
            }
          },
          "default": {
            "description": "Error response describing why the operation failed.",
            "schema": {
              "$ref": "#/definitions/ErrorResponse"
            }
          }
        },
        "tags": [
          "BillingProfiles"
        ],
        "x-ms-examples": {
          "BillingProfilesListByBillingAccountName": {
            "parameters": {
              "api-version": "2018-11-01-preview",
              "billingAccountName": "{billingAccountName}"
            },
            "responses": {
              "200": {
                "body": {
                  "value": [
                    {
                      "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/11000000-0000-0000-0000-000000000000",
                      "name": "11000000-0000-0000-0000-000000000000",
                      "properties": {
                        "address": {
                          "addressLine1": "Test Address1",
                          "addressLine2": "Test Address2",
                          "addressLine3": "Test Address3",
                          "city": "City",
                          "companyName": "Contoso",
                          "country": "US",
                          "firstName": "Test",
                          "lastName": "User",
                          "postalCode": "00000",
                          "region": "WA"
                        },
                        "currency": "USD",
                        "displayName": "BillingProfile1",
                        "enabledAzureSKUs": [
                          {
                            "skuDescription": "Microsoft Azure Dev/Test",
                            "skuId": "0001"
                          },
                          {
                            "skuDescription": "Microsoft Azure Standard",
                            "skuId": "0002"
                          }
                        ],
                        "invoiceDay": 5,
                        "invoiceEmailOptIn": true,
                        "isClassic": false,
                        "poNumber": "ABC12345"
                      },
                      "type": "Microsoft.Billing/billingProfiles"
                    },
                    {
                      "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/11000000-0000-0000-0000-000000000001",
                      "name": "11000000-0000-0000-0000-000000000001",
                      "properties": {
                        "address": {
                          "addressLine1": "Test Address1",
                          "addressLine2": "Test Address2",
                          "addressLine3": "Test Address3",
                          "city": "City",
                          "companyName": "Contoso",
                          "country": "US",
                          "firstName": "Test",
                          "lastName": "User",
                          "postalCode": "00000",
                          "region": "WA"
                        },
                        "currency": "USD",
                        "displayName": "BillingProfile2",
                        "enabledAzureSKUs": [
                          {
                            "skuDescription": "Microsoft Azure Dev/Test",
                            "skuId": "0001"
                          },
                          {
                            "skuDescription": "Microsoft Azure Standard",
                            "skuId": "0002"
                          }
                        ],
                        "invoiceDay": 5,
                        "invoiceEmailOptIn": true,
                        "isClassic": false,
                        "poNumber": "ABC12345"
                      },
                      "type": "Microsoft.Billing/billingProfiles"
                    }
                  ]
                }
              }
            }
          }
        },
        "x-ms-pageable": {
          "nextLinkName": "nextLink"
        }
      },
      "post": {
        "description": "The operation to create a BillingProfile.",
        "operationId": "BillingProfiles_Create",
        "parameters": [
          {
            "$ref": "#/parameters/apiVersionParameter"
          },
          {
            "$ref": "#/parameters/billingAccountNameParameter"
          },
          {
            "description": "Parameters supplied to the Create BillingProfile operation.",
            "in": "body",
            "name": "parameters",
            "required": true,
            "schema": {
              "$ref": "#/definitions/BillingProfileCreationParameters"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK. The request has succeeded.",
            "schema": {
              "$ref": "#/definitions/BillingProfile"
            }
          },
          "202": {
            "description": "Accepted",
            "headers": {
              "Azure-AsyncOperation": {
                "description": "URI to poll for the operation status",
                "type": "string"
              },
              "Location": {
                "description": "Location URI to poll for result",
                "type": "string"
              },
              "Retry-After": {
                "description": "Recommends the retryable time after receiving this.",
                "type": "integer"
              }
            }
          },
          "default": {
            "description": "Error response describing why the operation failed.",
            "schema": {
              "$ref": "#/definitions/ErrorResponse"
            }
          }
        },
        "tags": [
          "BillingProfiles"
        ],
        "x-ms-examples": {
          "CreateBillingProfile": {
            "parameters": {
              "api-version": "2018-11-01-preview",
              "billingAccountName": "{billingAccountName}",
              "parameters": {
                "address": {
                  "addressLine1": "1 Microsoft Way",
                  "city": "Redmond",
                  "country": "US",
                  "firstName": "Test",
                  "lastName": "User",
                  "postalCode": "98052",
                  "region": "WA"
                },
                "displayName": "Finance",
                "enableAzureSKUs": [
                  {
                    "skuId": "0001"
                  },
                  {
                    "skuId": "0002"
                  }
                ],
                "invoiceEmailOptIn": true,
                "poNumber": "ABC12345"
              }
            },
            "responses": {
              "200": {
                "body": {
                  "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/billingProfileId1",
                  "name": "billingProfileId1",
                  "properties": {
                    "address": {
                      "addressLine1": "1 Microsoft Way",
                      "city": "Redmond",
                      "country": "US",
                      "firstName": "Test",
                      "lastName": "User",
                      "postalCode": "98052",
                      "region": "WA"
                    },
                    "currency": "USD",
                    "displayName": "Finance",
                    "enabledAzureSKUs": [
                      {
                        "skuDescription": "Microsoft Azure Dev/Test",
                        "skuId": "0001"
                      },
                      {
                        "skuDescription": "Microsoft Azure Standard",
                        "skuId": "0002"
                      }
                    ],
                    "invoiceDay": 5,
                    "invoiceEmailOptIn": true,
                    "isClassic": false,
                    "poNumber": "ABC12345"
                  },
                  "type": "Microsoft.Billing/billingProfiles"
                }
              },
              "202": {
                "headers": {
                  "Azure-AsyncOperation": "https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/operationStatus/ed2975a8-8f77-43bb-a717-ace54326b14b?api-version=2018-07-31",
                  "Location": "https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/operationResults/ed2975a8-8f77-43bb-a717-ace54326b14b?api-version=2018-07-31",
                  "Retry-After": "60"
                }
              }
            }
          }
        },
        "x-ms-long-running-operation": true
      }
    },
    "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}": {
      "get": {
        "description": "Get the billing profile by id.",
        "operationId": "BillingProfiles_Get",
        "parameters": [
          {
            "$ref": "#/parameters/apiVersionParameter"
          },
          {
            "$ref": "#/parameters/billingAccountNameParameter"
          },
          {
            "$ref": "#/parameters/billingProfileNameParameter"
          },
          {
            "description": "May be used to expand the invoiceSections.",
            "in": "query",
            "name": "$expand",
            "required": false,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "OK. The request has succeeded.",
            "schema": {
              "$ref": "#/definitions/BillingProfile"
            }
          },
          "default": {
            "description": "Error response describing why the operation failed.",
            "schema": {
              "$ref": "#/definitions/ErrorResponse"
            }
          }
        },
        "tags": [
          "BillingProfiles"
        ],
        "x-ms-examples": {
          "BillingProfile": {
            "parameters": {
              "api-version": "2018-11-01-preview",
              "billingAccountName": "{billingAccountName}",
              "billingProfileName": "{billingProfileName}"
            },
            "responses": {
              "200": {
                "body": {
                  "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}",
                  "name": "{billingProfileName}",
                  "properties": {
                    "address": {
                      "addressLine1": "Test Address1",
                      "addressLine2": "Test Address2",
                      "addressLine3": "Test Address3",
                      "city": "City",
                      "companyName": "Contoso",
                      "country": "US",
                      "firstName": "Test",
                      "lastName": "User",
                      "postalCode": "00000",
                      "region": "WA"
                    },
                    "currency": "USD",
                    "displayName": "Billing Profile1",
                    "enabledAzureSKUs": [
                      {
                        "skuDescription": "Microsoft Azure Dev/Test",
                        "skuId": "0001"
                      },
                      {
                        "skuDescription": "Microsoft Azure Standard",
                        "skuId": "0002"
                      }
                    ],
                    "invoiceDay": 5,
                    "invoiceEmailOptIn": true,
                    "isClassic": false,
                    "poNumber": "ABC12345"
                  },
                  "type": "Microsoft.Billing/billingProfiles"
                }
              }
            }
          }
        }
      },
      "put": {
        "description": "The operation to update a billing profile.",
        "operationId": "BillingProfiles_Update",
        "parameters": [
          {
            "$ref": "#/parameters/apiVersionParameter"
          },
          {
            "$ref": "#/parameters/billingAccountNameParameter"
          },
          {
            "$ref": "#/parameters/billingProfileNameParameter"
          },
          {
            "description": "Parameters supplied to the update billing profile operation.",
            "in": "body",
            "name": "parameters",
            "required": true,
            "schema": {
              "$ref": "#/definitions/BillingProfile"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK. The request has succeeded.",
            "schema": {
              "$ref": "#/definitions/BillingProfile"
            }
          },
          "202": {
            "description": "Accepted. Billing profile update is in progress.",
            "headers": {
              "Location": {
                "description": "GET this URL to retrieve the status of the asynchronous operation.",
                "type": "string"
              },
              "Retry-After": {
                "description": "The amount of delay to use while the status of the operation is checked. The value is expressed in seconds.",
                "type": "string"
              }
            }
          },
          "default": {
            "description": "Error response describing why the operation failed.",
            "schema": {
              "$ref": "#/definitions/ErrorResponse"
            }
          }
        },
        "tags": [
          "BillingProfiles"
        ],
        "x-ms-examples": {
          "UpdateBillingProfile": {
            "parameters": {
              "api-version": "2018-11-01-preview",
              "billingAccountName": "{billingAccountName}",
              "billingProfileName": "{billingProfileName}",
              "parameters": {
                "properties": {
                  "displayName": "BillingProfile11",
                  "poNumber": "ABC12345"
                }
              }
            },
            "responses": {
              "200": {
                "body": {
                  "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}",
                  "name": "{billingProfileName}",
                  "properties": {
                    "address": {
                      "addressLine1": "Test Address1",
                      "addressLine2": "Test Address2",
                      "addressLine3": "Test Address3",
                      "city": "City",
                      "companyName": "Contoso",
                      "country": "US",
                      "firstName": "Test",
                      "lastName": "User",
                      "postalCode": "00000",
                      "region": "WA"
                    },
                    "currency": "USD",
                    "displayName": "BillingProfile11",
                    "enabledAzureSKUs": [
                      {
                        "skuDescription": "Microsoft Azure Dev/Test",
                        "skuId": "0001"
                      },
                      {
                        "skuDescription": "Microsoft Azure Standard",
                        "skuId": "0002"
                      }
                    ],
                    "invoiceDay": 5,
                    "invoiceEmailOptIn": true,
                    "isClassic": false,
                    "poNumber": "ABC12345"
                  },
                  "type": "Microsoft.Billing/billingProfiles"
                }
              },
              "202": {
                "headers": {
                  "Location": "/providers/Microsoft.Billing/billingOperations/ed2975a8-8f77-43bb-a717-ace54326b14b?api-version=2018-05-31-preview",
                  "Retry-After": "60"
                }
              }
            }
          }
        },
        "x-ms-long-running-operation": true
      }
    },
    "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/availableBalance/default": {
      "get": {
        "description": "The latest available credit balance for a given billingAccountName and billingProfileName.",
        "operationId": "AvailableBalances_GetByBillingProfile",
        "parameters": [
          {
            "$ref": "#/parameters/billingAccountNameParameter"
          },
          {
            "$ref": "#/parameters/billingProfileNameParameter"
          },
          {
            "$ref": "#/parameters/apiVersionParameter"
          }
        ],
        "responses": {
          "200": {
            "description": "OK. The request has succeeded.",
            "schema": {
              "$ref": "#/definitions/AvailableBalance"
            }
          },
          "default": {
            "description": "Error response describing why the operation failed.",
            "schema": {
              "$ref": "#/definitions/ErrorResponse"
            }
          }
        },
        "tags": [
          "AvailableBalances"
        ],
        "x-ms-examples": {
          "AvailableBalanceByBillingProfile": {
            "parameters": {
              "api-version": "2018-11-01-preview",
              "billingAccountName": "{billingAccountName}",
              "billingProfileName": "{billingProfileName}"
            },
            "responses": {
              "200": {
                "body": {
                  "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/availableBalance/50000000-0000-0000-0000-000000000000",
                  "name": "50000000-0000-0000-0000-000000000000",
                  "properties": {
                    "amount": {
                      "currency": "USD",
                      "value": 500
                    }
                  },
                  "type": "Microsoft.Billing/availableBalance"
                }
              }
            }
          }
        }
      }
    },
    "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/billingSubscriptions": {
      "get": {
        "description": "Lists billing subscriptions by billing profile name.",
        "externalDocs": {
          "url": "https://docs.microsoft.com/en-us/rest/api/consumption/"
        },
        "operationId": "BillingSubscriptions_ListByBillingProfileName",
        "parameters": [
          {
            "$ref": "#/parameters/billingAccountNameParameter"
          },
          {
            "$ref": "#/parameters/billingProfileNameParameter"
          },
          {
            "$ref": "#/parameters/apiVersionParameter"
          }
        ],
        "responses": {
          "200": {
            "description": "OK. The request has succeeded.",
            "schema": {
              "$ref": "#/definitions/BillingSubscriptionsListResult"
            }
          },
          "default": {
            "description": "Error response describing why the operation failed.",
            "schema": {
              "$ref": "#/definitions/ErrorResponse"
            }
          }
        },
        "tags": [
          "BillingSubscriptions"
        ],
        "x-ms-examples": {
          "BillingSubscriptionsListByBillingProfile": {
            "parameters": {
              "api-version": "2018-11-01-preview",
              "billingAccountName": "{billingAccountName}",
              "billingProfileName": "{billingProfileName}"
            },
            "responses": {
              "200": {
                "body": {
                  "value": [
                    {
                      "id": "/providers/Microsoft.Billing/BillingAccounts/{billingAccountName}/invoiceSections/22000000-0000-0000-0000-000000000000/billingSubscriptions/billinSubscriptionId1",
                      "name": "billingSubscriptionId1",
                      "properties": {
                        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}",
                        "billingProfileName": "Contoso operations billing",
                        "displayName": "My subscription",
                        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/invoiceSections/22000000-0000-0000-0000-000000000000",
                        "invoiceSectionName": "Contoso operations invoiceSection",
                        "lastMonthCharges": {
                          "currency": "USD",
                          "value": 5000
                        },
                        "monthToDateCharges": {
                          "currency": "USD",
                          "value": 600
                        },
                        "skuDescription": "Microsoft Azure Dev/Test",
                        "skuId": "0001",
                        "subscriptionBillingStatus": "Active",
                        "subscriptionId": "6b96d3f2-9008-4a9d-912f-f87744185aa3"
                      },
                      "type": "Microsoft.Billing/billingSubscriptions"
                    },
                    {
                      "id": "/providers/Microsoft.Billing/BillingAccounts/{billingAccountName}/invoiceSections/22000000-0000-0000-0000-000000000000/billingSubscriptions/billinSubscriptionId2",
                      "name": "billingSubscriptionId2",
                      "properties": {
                        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}",
                        "billingProfileName": "Contoso operations billing",
                        "displayName": "Test subscription",
                        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/invoiceSections/22000000-0000-0000-0000-000000000000",
                        "invoiceSectionName": "Contoso operations invoiceSection",
                        "lastMonthCharges": {
                          "currency": "USD",
                          "value": 1000
                        },
                        "monthToDateCharges": {
                          "currency": "USD",
                          "value": 400
                        },
                        "skuDescription": "Microsoft Azure Dev/Test",
                        "skuId": "0001",
                        "subscriptionBillingStatus": "Active",
                        "subscriptionId": "6b96d3f2-9008-4a9d-912f-6b96d3f2"
                      },
                      "type": "Microsoft.Billing/billingSubscriptions"
                    },
                    {
                      "id": "/providers/Microsoft.Billing/BillingAccounts/{billingAccountName}/invoiceSections/22000000-0000-0000-0000-000000000000/billingSubscriptions/billinSubscriptionId3",
                      "name": "billingSubscriptionId3",
                      "properties": {
                        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}",
                        "billingProfileName": "Contoso operations billing",
                        "displayName": "Dev Subscription",
                        "invoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/invoiceSections/22000000-0000-0000-0000-000000000000",
                        "invoiceSectionName": "Contoso operations invoiceSection",
                        "lastMonthCharges": {
                          "currency": "USD",
                          "value": 6000
                        },
                        "monthToDateCharges": {
                          "currency": "USD",
                          "value": 900
                        },
                        "skuDescription": "Microsoft Azure Dev/Test",
                        "skuId": "0001",
                        "subscriptionBillingStatus": "Active",
                        "subscriptionId": "6b96d3f2-4a9d-9008-912f-f87744185aa3"
                      },
                      "type": "Microsoft.Billing/billingSubscriptions"
                    }
                  ]
                }
              }
            }
          }
        },
        "x-ms-pageable": {
          "nextLinkName": "nextLink"
        }
      }
    },
    "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections": {
      "get": {
        "description": "Lists all invoice sections under a billing profile for which a user has access.",
        "operationId": "InvoiceSections_ListByBillingProfileName",
        "parameters": [
          {
            "$ref": "#/parameters/apiVersionParameter"
          },
          {
            "$ref": "#/parameters/billingAccountNameParameter"
          },
          {
            "$ref": "#/parameters/billingProfileNameParameter"
          }
        ],
        "responses": {
          "200": {
            "description": "OK. The request has succeeded.",
            "schema": {
              "$ref": "#/definitions/InvoiceSectionListResult"
            }
          },
          "default": {
            "description": "Error response describing why the operation failed.",
            "schema": {
              "$ref": "#/definitions/ErrorResponse"
            }
          }
        },
        "tags": [
          "InvoiceSections"
        ],
        "x-ms-examples": {
          "InvoiceSectionsListByBillingProfileName": {
            "parameters": {
              "api-version": "2018-11-01-preview",
              "billingAccountName": "{billingAccountName}",
              "billingProfileName": "{billingProfileName}"
            },
            "responses": {
              "200": {
                "body": {
                  "value": [
                    {
                      "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/invoiceSections/22000000-0000-0000-0000-000000000000",
                      "name": "22000000-0000-0000-0000-000000000000",
                      "properties": {
                        "displayName": "invoiceSection1"
                      },
                      "type": "Microsoft.Billing/invoiceSections"
                    },
                    {
                      "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/invoiceSections/22000000-0000-0000-0000-000000000011",
                      "name": "22000000-0000-0000-0000-000000000011",
                      "properties": {
                        "displayName": "invoiceSection2"
                      },
                      "type": "Microsoft.Billing/invoiceSections"
                    }
                  ]
                }
              }
            }
          }
        },
        "x-ms-pageable": {
          "nextLinkName": "nextLink"
        }
      }
    },
    "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoices": {
      "get": {
        "description": "List of invoices for a billing profile.",
        "operationId": "Invoices_ListByBillingProfile",
        "parameters": [
          {
            "$ref": "#/parameters/apiVersionParameter"
          },
          {
            "$ref": "#/parameters/billingAccountNameParameter"
          },
          {
            "$ref": "#/parameters/billingProfileNameParameter"
          },
          {
            "description": "Invoice period start date.",
            "in": "query",
            "name": "periodStartDate",
            "required": true,
            "type": "string"
          },
          {
            "description": "Invoice period end date.",
            "in": "query",
            "name": "periodEndDate",
            "required": true,
            "type": "string"
          }
        ],
        "responses": {
          "200": {
            "description": "OK. The request has succeeded.",
            "schema": {
              "$ref": "#/definitions/InvoiceListResult"
            }
          },
          "default": {
            "description": "Error response describing why the operation failed.",
            "schema": {
              "$ref": "#/definitions/ErrorResponse"
            }
          }
        },
        "tags": [
          "Invoices"
        ],
        "x-ms-examples": {
          "InvoicesListByBillingProfile": {
            "parameters": {
              "$filter": "invoicePeriodStartDate le 2018-06-01",
              "api-version": "2018-11-01-preview",
              "billingAccountName": "{billingAccountName}",
              "billingProfileName": "{billingProfileName}",
              "periodEndDate": "2018-06-30",
              "periodStartDate": "2018-01-01"
            },
            "responses": {
              "200": {
                "body": {
                  "value": [
                    {
                      "id": "providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoices/1383723",
                      "name": "1383723",
                      "properties": {
                        "amountDue": {
                          "currency": "USD",
                          "value": 2000
                        },
                        "billedAmount": {
                          "currency": "USD",
                          "value": 2000
                        },
                        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}",
                        "billingProfileName": "Contoso Operations Billing",
                        "documentUrls": [
                          {
                            "kind": "Invoice",
                            "url": "https://microsoft.com/invoice.pdf"
                          },
                          {
                            "kind": "Receipt",
                            "url": "https://microsoft.com/taxDoc.pdf"
                          },
                          {
                            "kind": "CreditNote",
                            "url": "https://microsoft.com/creditNote.pdf"
                          }
                        ],
                        "dueDate": "2018-01-16T17:32:28Z",
                        "invoiceDate": "2018-01-01T17:32:28Z",
                        "invoicePeriodEndDate": "2018-01-15T17:32:28Z",
                        "invoicePeriodStartDate": "2018-01-01T17:32:28Z",
                        "payments": [
                          {
                            "amount": {
                              "currency": "USD",
                              "value": 2000
                            },
                            "date": "2018-01-14T17:32:28Z",
                            "paymentType": "credited"
                          }
                        ],
                        "purchaseOrderNumber": "123456",
                        "status": "Due"
                      },
                      "type": "Microsoft.Billing/invoices"
                    },
                    {
                      "id": "providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoices/1383724",
                      "name": "1383724",
                      "properties": {
                        "amountDue": {
                          "currency": "USD",
                          "value": 2000
                        },
                        "billedAmount": {
                          "currency": "USD",
                          "value": 2000
                        },
                        "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}",
                        "billingProfileName": "Contoso Operations Billing",
                        "documentUrls": [
                          {
                            "kind": "Invoice",
                            "url": "https://microsoft.com/invoice.pdf"
                          },
                          {
                            "kind": "Receipt",
                            "url": "https://microsoft.com/taxDoc.pdf"
                          },
                          {
                            "kind": "CreditNote",
                            "url": "https://microsoft.com/creditNote.pdf"
                          }
                        ],
                        "dueDate": "2018-03-01T17:32:28Z",
                        "invoiceDate": "2018-01-01T17:32:28Z",
                        "invoicePeriodEndDate": "2018-02-30T17:32:28Z",
                        "invoicePeriodStartDate": "2018-02-01T17:32:28Z",
                        "payments": [
                          {
                            "amount": {
                              "currency": "USD",
                              "value": 2000
                            },
                            "date": "2018-01-14T17:32:28Z",
                            "paymentType": "credited"
                          }
                        ],
                        "purchaseOrderNumber": "123456",
                        "status": "PastDue"
                      },
                      "type": "Microsoft.Billing/invoices"
                    }
                  ]
                }
              }
            }
          }
        },
        "x-ms-pageable": {
          "nextLinkName": "nextLink"
        }
      }
    },
    "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoices/{invoiceName}": {
      "get": {
        "description": "Get the invoice by name.",
        "operationId": "Invoices_Get",
        "parameters": [
          {
            "$ref": "#/parameters/apiVersionParameter"
          },
          {
            "$ref": "#/parameters/billingAccountNameParameter"
          },
          {
            "$ref": "#/parameters/billingProfileNameParameter"
          },
          {
            "$ref": "#/parameters/invoiceNameParameter"
          }
        ],
        "responses": {
          "200": {
            "description": "OK. The request has succeeded.",
            "schema": {
              "$ref": "#/definitions/InvoiceSummary"
            }
          },
          "default": {
            "description": "Error response describing why the operation failed.",
            "schema": {
              "$ref": "#/definitions/ErrorResponse"
            }
          }
        },
        "tags": [
          "Invoices"
        ],
        "x-ms-examples": {
          "Invoice": {
            "parameters": {
              "api-version": "2018-11-01-preview",
              "billingAccountName": "{billingAccountName}",
              "billingProfileName": "{billingProfileName}",
              "invoiceName": "{invoiceName}"
            },
            "responses": {
              "200": {
                "body": {
                  "id": "providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoices/{invoiceName}",
                  "name": "{invoiceName}",
                  "properties": {
                    "amountDue": {
                      "currency": "USD",
                      "value": 2000
                    },
                    "billedAmount": {
                      "currency": "USD",
                      "value": 2000
                    },
                    "billingProfileId": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}",
                    "billingProfileName": "Contoso Operations Billing",
                    "documentUrls": [
                      {
                        "kind": "Invoice",
                        "url": "https://microsoft.com/invoice.pdf"
                      },
                      {
                        "kind": "Receipt",
                        "url": "https://microsoft.com/taxDoc.pdf"
                      },
                      {
                        "kind": "CreditNote",
                        "url": "https://microsoft.com/creditNote.pdf"
                      }
                    ],
                    "dueDate": "2018-01-16T17:32:28Z",
                    "invoiceDate": "2018-01-01T17:32:28Z",
                    "invoicePeriodEndDate": "2018-01-15T17:32:28Z",
                    "invoicePeriodStartDate": "2018-01-01T17:32:28Z",
                    "payments": [
                      {
                        "amount": {
                          "currency": "USD",
                          "value": 2000
                        },
                        "date": "2018-01-14T17:32:28Z",
                        "paymentType": "credited"
                      }
                    ],
                    "purchaseOrderNumber": "123456",
                    "status": "Due"
                  },
                  "type": "Microsoft.Billing/invoices"
                }
              }
            }
          }
        }
      }
    },
    "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/paymentMethods": {
      "get": {
        "description": "Lists the Payment Methods by billing profile Id.",
        "externalDocs": {
          "url": "https://docs.microsoft.com/en-us/rest/api/consumption/"
        },
        "operationId": "PaymentMethods_ListByBillingProfileName",
        "parameters": [
          {
            "$ref": "#/parameters/billingAccountNameParameter"
          },
          {
            "$ref": "#/parameters/billingProfileNameParameter"
          },
          {
            "$ref": "#/parameters/apiVersionParameter"
          }
        ],
        "responses": {
          "200": {
            "description": "OK. The request has succeeded.",
            "schema": {
              "$ref": "#/definitions/PaymentMethodsListResult"
            }
          },
          "default": {
            "description": "Error response describing why the operation failed.",
            "schema": {
              "$ref": "#/definitions/ErrorResponse"
            }
          }
        },
        "tags": [
          "PaymentMethods"
        ],
        "x-ms-examples": {
          "PaymentMethodsListByBillingProfile": {
            "parameters": {
              "api-version": "2018-11-01-preview",
              "billingAccountName": "{billingAccountName}",
              "billingProfileName": "{billingProfileName}"
            },
            "responses": {
              "200": {
                "body": {
                  "value": [
                    {
                      "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/paymentMethods/00000000-0000-0000-0000-000000000055",
                      "name": "00000000-0000-0000-0000-000000000055",
                      "properties": {
                        "currency": "USD",
                        "details": "Credits",
                        "expiration": "2014-03-18T18:25:43.511Z",
                        "paymentMethodType": "Credits"
                      },
                      "type": "Microsoft.Billing/paymentMethods"
                    },
                    {
                      "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/paymentMethods/00000000-0000-0000-0000-000000000026",
                      "name": "00000000-0000-0000-0000-000000000026",
                      "properties": {
                        "details": "Check Wire",
                        "paymentMethodType": "CheckWire"
                      },
                      "type": "Microsoft.Billing/paymentMethods"
                    }
                  ]
                }
              }
            }
          }
        },
        "x-ms-pageable": {
          "nextLinkName": "nextLink"
        }
      }
    },
    "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/policies/default": {
      "get": {
        "description": "The policy for a given billing account name and billing profile name.",
        "externalDocs": {
          "url": "https://docs.microsoft.com/en-us/rest/api/consumption/"
        },
        "operationId": "Policies_GetByBillingProfileName",
        "parameters": [
          {
            "$ref": "#/parameters/billingAccountNameParameter"
          },
          {
            "$ref": "#/parameters/billingProfileNameParameter"
          },
          {
            "$ref": "#/parameters/apiVersionParameter"
          }
        ],
        "responses": {
          "200": {
            "description": "OK. The request has succeeded.",
            "schema": {
              "$ref": "#/definitions/Policy"
            }
          },
          "default": {
            "description": "Error response describing why the operation failed.",
            "schema": {
              "$ref": "#/definitions/ErrorResponse"
            }
          }
        },
        "tags": [
          "Policies"
        ],
        "x-ms-examples": {
          "PolicyByBillingProfile": {
            "parameters": {
              "api-version": "2018-11-01-preview",
              "billingAccountName": "{billingAccountName}",
              "billingProfileName": "{billingProfileName}"
            },
            "responses": {
              "200": {
                "body": {
                  "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/policies/default",
                  "name": "default",
                  "properties": {
                    "marketplacePurchasesAllowed": true,
                    "reservationPurchasesAllowed": true,
                    "subscriptionOwnerCanViewCharges": true
                  },
                  "type": "Microsoft.Billing/policies"
                }
              }
            }
          }
        }
      },
      "put": {
        "description": "The operation to update a policy.",
        "operationId": "Policies_Update",
        "parameters": [
          {
            "$ref": "#/parameters/apiVersionParameter"
          },
          {
            "$ref": "#/parameters/billingAccountNameParameter"
          },
          {
            "$ref": "#/parameters/billingProfileNameParameter"
          },
          {
            "description": "Parameters supplied to the update policy operation.",
            "in": "body",
            "name": "parameters",
            "required": true,
            "schema": {
              "$ref": "#/definitions/Policy"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK. The request has succeeded.",
            "schema": {
              "$ref": "#/definitions/Policy"
            }
          },
          "default": {
            "description": "Error response describing why the operation failed.",
            "schema": {
              "$ref": "#/definitions/ErrorResponse"
            }
          }
        },
        "tags": [
          "Policies"
        ],
        "x-ms-examples": {
          "UpdateBillingProfile": {
            "parameters": {
              "api-version": "2018-11-01-preview",
              "billingAccountName": "{billingAccountName}",
              "billingProfileName": "{billingProfileName}",
              "eTag": "\"1d34d012214157f\"",
              "parameters": {
                "properties": {
                  "marketplacePurchasesAllowed": false,
                  "reservationPurchasesAllowed": true,
                  "subscriptionOwnerCanViewCharges": true
                }
              }
            },
            "responses": {
              "200": {
                "body": {
                  "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/policies/default",
                  "name": "default",
                  "properties": {
                    "marketplacePurchasesAllowed": false,
                    "reservationPurchasesAllowed": true,
                    "subscriptionOwnerCanViewCharges": true
                  },
                  "type": "Microsoft.Billing/policies"
                }
              }
            }
          }
        }
      }
    },
    "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/providers/Microsoft.Billing/billingPermissions": {
      "get": {
        "description": "Lists all billingPermissions for the caller has for a billing account.",
        "operationId": "BillingPermissions_ListByBillingProfile",
        "parameters": [
          {
            "$ref": "#/parameters/apiVersionParameter"
          },
          {
            "$ref": "#/parameters/billingAccountNameParameter"
          },
          {
            "$ref": "#/parameters/billingProfileNameParameter"
          }
        ],
        "responses": {
          "200": {
            "description": "OK. The request has succeeded.",
            "schema": {
              "$ref": "#/definitions/BillingPermissionsListResult"
            }
          },
          "default": {
            "description": "Error response describing why the operation failed.",
            "schema": {
              "$ref": "#/definitions/ErrorResponse"
            }
          }
        },
        "tags": [
          "BillingPermissions"
        ],
        "x-ms-examples": {
          "BillingProfilePermissionsList": {
            "parameters": {
              "api-version": "2018-11-01-preview",
              "billingAccountName": "{billingAccountName}",
              "billingProfileName": "{billingProfileName}"
            },
            "responses": {
              "200": {
                "body": {
                  "value": [
                    {
                      "actions": [
                        "10000000-aaaa-bbbb-cccc-200000000006",
                        "10000000-aaaa-bbbb-cccc-200000000003",
                        "10000000-aaaa-bbbb-cccc-200000000002",
                        "10000000-aaaa-bbbb-cccc-200000000001",
                        "10000000-aaaa-bbbb-cccc-200000000000",
                        "30000000-aaaa-bbbb-cccc-200000000007",
                        "30000000-aaaa-bbbb-cccc-200000000004",
                        "30000000-aaaa-bbbb-cccc-200000000015",
                        "20000000-aaaa-bbbb-cccc-200000000002",
                        "30000000-aaaa-bbbb-cccc-200000000009",
                        "40000000-aaaa-bbbb-cccc-200000000000",
                        "30000000-aaaa-bbbb-cccc-200000000000",
                        "20000000-aaaa-bbbb-cccc-200000000000",
                        "10000000-aaaa-bbbb-cccc-200000000008",
                        "10000000-aaaa-bbbb-cccc-200000000007",
                        "40000000-aaaa-bbbb-cccc-200000000008",
                        "40000000-aaaa-bbbb-cccc-200000000006",
                        "40000000-aaaa-bbbb-cccc-200000000007",
                        "30000000-aaaa-bbbb-cccc-200000000010",
                        "30000000-aaaa-bbbb-cccc-200000000001"
                      ],
                      "notActions": []
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/providers/Microsoft.Billing/billingRoleAssignments": {
      "get": {
        "description": "Get the role assignments on the Billing Profile",
        "operationId": "BillingRoleAssignments_ListByBillingProfileName",
        "parameters": [
          {
            "$ref": "#/parameters/apiVersionParameter"
          },
          {
            "$ref": "#/parameters/billingAccountNameParameter"
          },
          {
            "$ref": "#/parameters/billingProfileNameParameter"
          }
        ],
        "responses": {
          "200": {
            "description": "OK. The request has succeeded.",
            "schema": {
              "$ref": "#/definitions/BillingRoleAssignmentListResult"
            }
          },
          "default": {
            "description": "Error response describing why the operation failed.",
            "schema": {
              "$ref": "#/definitions/ErrorResponse"
            }
          }
        },
        "tags": [
          "BillingRoleAssignments"
        ],
        "x-ms-examples": {
          "BillingProfileRoleAssignmentList": {
            "parameters": {
              "api-version": "2018-11-01-preview",
              "billingAccountName": "{billingAccountName}",
              "billingProfileName": "{billingProfileName}"
            },
            "responses": {
              "200": {
                "body": {
                  "value": [
                    {
                      "id": "10000000-aaaa-bbbb-cccc-100000000000_6fd330f6-7d26-4aff-b9cf-7bd699f965b9",
                      "name": "10000000-aaaa-bbbb-cccc-100000000000_6fd330f6-7d26-4aff-b9cf-7bd699f965b9",
                      "properties": {
                        "createdByPrincipalId": "",
                        "createdByPrincipalTenantId": "7ca289b9-c32d-4f01-8566-7ff93261d76f",
                        "createdOn": "2018-06-21T21:34:12.2363515+00:00",
                        "name": "10000000-aaaa-bbbb-cccc-100000000000_6fd330f6-7d26-4aff-b9cf-7bd699f965b9",
                        "principalId": "6fd330f6-7d26-4aff-b9cf-7bd699f965b9",
                        "scope": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}"
                      },
                      "type": "Microsoft.Billing/billingRoleAssignments"
                    },
                    {
                      "id": "10000000-aaaa-bbbb-cccc-100000000000_00000000-0000-0000-0000-000000000000",
                      "name": "10000000-aaaa-bbbb-cccc-100000000000_00000000-0000-0000-0000-000000000000",
                      "properties": {
                        "createdByPrincipalId": "46b831ec-42b2-4f1a-8b54-3fd5ff9d6aa1",
                        "createdByPrincipalTenantId": "7ca289b9-c32d-4f01-8566-7ff93261d76f",
                        "createdOn": "2018-06-21T21:58:19.9073876+00:00",
                        "name": "10000000-aaaa-bbbb-cccc-100000000000_00000000-0000-0000-0000-000000000000",
                        "principalId": "00000000-0000-0000-0000-000000000000",
                        "scope": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}"
                      },
                      "type": "Microsoft.Billing/billingRoleAssignments"
                    },
                    {
                      "id": "10000000-aaaa-bbbb-cccc-100000000002_129db794-64a5-44e0-9838-002780478959",
                      "name": "10000000-aaaa-bbbb-cccc-100000000002_129db794-64a5-44e0-9838-002780478959",
                      "properties": {
                        "createdByPrincipalId": "00000000-0000-0000-0000-000000000000",
                        "createdByPrincipalTenantId": "7ca289b9-c32d-4f01-8566-7ff93261d76f",
                        "createdOn": "2018-06-22T06:03:51.430844+00:00",
                        "name": "10000000-aaaa-bbbb-cccc-100000000002_129db794-64a5-44e0-9838-002780478959",
                        "principalId": "129db794-64a5-44e0-9838-002780478959",
                        "scope": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}"
                      },
                      "type": "Microsoft.Billing/billingRoleAssignments"
                    },
                    {
                      "id": "10000000-aaaa-bbbb-cccc-100000000001_d7b03fbc-ecd9-49b8-8e38-285b75eaa8f7",
                      "name": "10000000-aaaa-bbbb-cccc-100000000001_d7b03fbc-ecd9-49b8-8e38-285b75eaa8f7",
                      "properties": {
                        "createdByPrincipalId": "00000000-0000-0000-0000-000000000000",
                        "createdByPrincipalTenantId": "7ca289b9-c32d-4f01-8566-7ff93261d76f",
                        "createdOn": "2018-07-06T05:52:57.1463874+00:00",
                        "name": "10000000-aaaa-bbbb-cccc-100000000001_d7b03fbc-ecd9-49b8-8e38-285b75eaa8f7",
                        "principalId": "d7b03fbc-ecd9-49b8-8e38-285b75eaa8f7",
                        "scope": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}"
                      },
                      "type": "Microsoft.Billing/billingRoleAssignments"
                    },
                    {
                      "id": "10000000-aaaa-bbbb-cccc-100000000000_c4f54fd2-d920-4c49-9b4d-9f09387b881c",
                      "name": "10000000-aaaa-bbbb-cccc-100000000000_c4f54fd2-d920-4c49-9b4d-9f09387b881c",
                      "properties": {
                        "createdByPrincipalId": "00000000-0000-0000-0000-000000000000",
                        "createdByPrincipalTenantId": "7ca289b9-c32d-4f01-8566-7ff93261d76f",
                        "createdOn": "2018-07-10T22:04:33.8309285+00:00",
                        "name": "10000000-aaaa-bbbb-cccc-100000000000_c4f54fd2-d920-4c49-9b4d-9f09387b881c",
                        "principalId": "c4f54fd2-d920-4c49-9b4d-9f09387b881c",
                        "scope": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}"
[...]
